
let util = require('../../../../utils/util')
let apiArr = require('../../../../api/water_filter')

// packages/partner/pages/team/team.js
const __staticUrl = require('../../../../config/env.js').static_url
Page({

  /**
   * 页面的初始数据
   */
  data: {
    Invite:""
  },

  getInviteList(){
      let that = this
      wx.showLoading({
        title: '加载中...',
      })
      util.postUrl(apiArr.MyinviteList,{
        dealer_id:wx.getStorageSync('dealer_id')
      },res=>{
          wx.hideLoading()
          console.log(res);
          that.setData({
            Invite:res
          })
      })
  },
 
  Jump(){
      wx.navigateTo({
        url: '../ranking/ranking',
      })
  },
  Jump2(){
    wx.navigateTo({
      url: '../invite/invite',
    })
},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    let that = this
    that.getInviteList()
    wx.showShareMenu({
        withShareTicket: true,
        menus: ['shareAppMessage', 'shareTimeline']
    })
  },    

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage(){
    return {
        title: '人人爱净水',  // 分享卡片标题（必填）
        path: '/pages/water_filter/water_filter',  // 用户点击后跳转的路径（可选，默认当前页）
        imageUrl: (__staticUrl + '/share.png')  // 自定义图片（可选，比例建议 5:4）
      }
},
onShareTimeline() {
    return {
        title: '人人爱净水', // 自定义标题
        query: '', // 自定义页面路径中的参数
        imageUrl: (__staticUrl + '/share.png') // 自定义分享图片路径
    }
},
})